Summary: 	The PPP (Point-to-Point Protocol) daemon with MPPE support.
Name: 		ppp
Version: 	2.4.1
Release: 	1.3.0
Copyright: 	distributable
Group: 		System Environment/Daemons
Source0: 	ftp://ftp.linuxcare.com.au/pub/ppp/ppp-%{version}.tar.gz
Source1: 	ppp-2.3.5-pamd.conf
Patch0: 	ppp-2.4.1-make-gd.patch
Patch1: 	ppp-2.3.6-sample.patch
Patch2: 	ppp-2.3.9-wtmp.patch
Patch3: 	ppp-2.4.0-reap.patch
Patch4: 	ppp-2.3.11-pam_session.patch
Patch5: 	ppp-2.4.1-warnings.patch
# Patch6:		ppp-2.4.1-openssl-0.9.6-mppe-gd.patch
Patch6:		099_ppp-2.4.1-openssl-0.9.6-mppe-patch.diff
Patch7:		ppp-2.4.1-MSCHAPv2-fix.patch
Patch8:		ppp-2.4.1-time.patch
Patch9:		ppp-2.4.1-1.1.3-doublefree-gd-1.diff
BuildRoot: 	%{_tmppath}/%{name}-root
Requires: 	/etc/pam.d/system-auth

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support.  The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP or other organization over a modem 
and phone line.

Additionally, this RPM supports MSChap-v2 and MPPE for 128-bit encrypted
PPTP tunnels from MS workstations.

%prep
%setup  -q
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
# patch 2 depends on the -lutil in patch 0
%patch2 -p1 -b .wtmp
%patch3 -p1 -b .reap
%patch4 -p1 -b .pam_session
%patch5 -p1 -b .warnings
%patch6 -p1
%patch7 -p1
# fix MAINDEBUG problem
%patch8 -p1
%patch9 -p1
find . -type f -name "*.sample" | xargs rm -f 

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT%{_sbindir}

## it shouldn't be SUID root be default
#chmod 755 $RPM_BUILD_ROOT/usr/sbin/pppd

chmod go+r scripts/*
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ppp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/chat
%{_sbindir}/pppd
%{_sbindir}/pppdump
%{_sbindir}/pppstats
%{_mandir}/man8/chat.8*
%{_mandir}/man8/pppd.8*
%{_mandir}/man8/pppdump.8*
%{_mandir}/man8/pppstats.8*
%dir %attr(0700,root,root) /etc/ppp
%config %attr(0600,root,root) /etc/ppp/chap-secrets
%config %attr(0600,root,root) /etc/ppp/options
%config %attr(0600,root,root) /etc/ppp/pap-secrets
%config %attr(0644,root,root) /etc/pam.d/ppp
%doc README README.linux scripts sample README.MPPE

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Thu Apr 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.1, Release 1.2.1
  - Port over security updates from Balestra.  See 1.1.3 changelog
    for more info.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Dave Wreski <dave@guardiandigital.com>
- Release 2.4.1, Version 1.1.2
   - fix cbcp patch port problem
	( http://rz-obrian.rz.uni-karlsruhe.de/download/src/ppp-2.4/)

* Tue Jul 17 2001 Dave Wreski <dave@guardiandigital.com>
- Release 2.4.1, Version 2.0.0
   - adapt from RH RPM
   - add mppe patch (pptp)
